Index: sys/arch/sparc64/dev/fdc.c
===================================================================
RCS file: /cvsroot/src/sys/arch/sparc64/dev/fdc.c,v
retrieving revision 1.51
diff -u -r1.51 fdc.c
--- sys/arch/sparc64/dev/fdc.c	7 Aug 2021 16:19:05 -0000	1.51
+++ sys/arch/sparc64/dev/fdc.c	30 Aug 2023 05:57:27 -0000
@@ -825,7 +825,7 @@
 #ifdef SUN4
 	printf(" softpri %d: chip 8207%c\n", IPL_SOFTFDC, code);
 #elif SUN4U
-	printf(" softpri %d: chip 8207%c", PIL_FDSOFT, code);
+	printf(" softpri %d: chip 8207%c", IPL_BIO, code);
 	if (fdc->sc_flags & FDC_NOEJECT)
 		printf(": manual eject");
 	printf("\n");
Index: sys/arch/sparc64/include/intr.h
===================================================================
RCS file: /cvsroot/src/sys/arch/sparc64/include/intr.h,v
retrieving revision 1.31
diff -u -r1.31 intr.h
--- sys/arch/sparc64/include/intr.h	27 Jul 2012 05:36:12 -0000	1.31
+++ sys/arch/sparc64/include/intr.h	30 Aug 2023 05:57:27 -0000
@@ -54,7 +54,6 @@
 #define	IPL_HIGH	PIL_HIGH	/* everything */
 #define	IPL_HALT	5		/* cpu stop-self */
 #define	IPL_PAUSE	13		/* pause cpu */
-#define	IPL_FDSOFT	PIL_FDSOFT	/* floppy */
 
 /*
  * IPL_SAFEPRI is a safe priority for sleep to set for a spin-wait
Index: sys/arch/sparc64/include/psl.h
===================================================================
RCS file: /cvsroot/src/sys/arch/sparc64/include/psl.h,v
retrieving revision 1.63
diff -u -r1.63 psl.h
--- sys/arch/sparc64/include/psl.h	11 Jul 2023 11:02:07 -0000	1.63
+++ sys/arch/sparc64/include/psl.h	30 Aug 2023 05:57:27 -0000
@@ -73,9 +73,6 @@
 #define PSR_BITS "\20\16EC\15EF\10S\7PS\6ET"
 
 /* Interesting spl()s */
-#define PIL_SCSI	3
-#define PIL_FDSOFT	4
-#define PIL_AUSOFT	4
 #define PIL_BIO		5
 #define PIL_VIDEO	5
 #define PIL_TTY		6
@@ -514,12 +511,6 @@
 
 SPLHOLD(splsoftserial, 4)
 
-/* audio software interrupts are at software level 4 */
-SPLHOLD(splausoft, PIL_AUSOFT)
-
-/* floppy software interrupts are at software level 4 too */
-SPLHOLD(splfdsoft, PIL_FDSOFT)
-
 /*
  * Memory allocation (must be as high as highest network, tty, or disk device)
  */
Index: sys/arch/sparc64/sparc64/autoconf.c
===================================================================
RCS file: /cvsroot/src/sys/arch/sparc64/sparc64/autoconf.c,v
retrieving revision 1.238
diff -u -r1.238 autoconf.c
--- sys/arch/sparc64/sparc64/autoconf.c	22 Jan 2022 11:49:17 -0000	1.238
+++ sys/arch/sparc64/sparc64/autoconf.c	30 Aug 2023 05:57:28 -0000
@@ -170,12 +170,12 @@
 struct intrmap intrmap[] = {
 	{ "block",	PIL_FD },	/* Floppy disk */
 	{ "serial",	PIL_SER },	/* zs */
-	{ "scsi",	PIL_SCSI },
-	{ "scsi-2",	PIL_SCSI },
+	{ "scsi",	PIL_BIO },
+	{ "scsi-2",	PIL_BIO },
 	{ "network",	PIL_NET },
 	{ "display",	PIL_VIDEO },
 	{ "audio",	PIL_AUD },
-	{ "ide",	PIL_SCSI },
+	{ "ide",	PIL_BIO },
 /* The following devices don't have device types: */
 	{ "SUNW,CS4231",	PIL_AUD },
 	{ NULL,		0 }
